QGIS Application - Bug report #15494
Moved labels disappear
2016-08-28 11:42 PM - Magnus Nilsson

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:2.14.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 23418
Description

When | move a few labels manually, they disappear. The labels that | don’t move still render. If | disable the data defined label positions
(labelX and labelY), the missing labels render again, but not in the desired position of course. "Show all labels" is checked. Windows 7, 64
bit.

History

#1 - 2016-08-28 11:52 PM - Andreas Neumann

Can you share some data and a demo project to let others test?

In general: please provide more information, such as:

- data source format

- data type of the columns you stroe the labelX/labelY positions

Or anything additional that helps reproduce the issue.

#2 - 2016-08-29 12:14 AM - Magnus Nilsson

Thank you for the quick reply. | added new columns, this time integer, and now all of the moved labels render. Before this, only some of the moved labels

would render. The source is a SHP file and the previous data type was string.

#3 - 2016-08-29 04:35 AM - Andreas Neumann

Hi Magnus,

Ok - that explains it.

| would say it isn't a bug if it doesn't work with string data types. You are supposed to use numeric data types for numeric values.

Andreas

#4 - 2016-08-29 07:06 AM - Magnus Nilsson

| agree, this issue can be closed.
#5 - 2016-08-29 07:24 AM - Andreas Neumann
- Resolution set to worksforme

- Status changed from Open to Closed
